Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 794082 (CVE-2021-29959, CVE-2021-29960, CVE-2021-29961, CVE-2021-29966) - <www-client/firefox{-bin,}-{78.11.0,89.0}: multiple vulnerabilities (CVE-2021-{29959,29960,29961,29966})
Summary: <www-client/firefox{-bin,}-{78.11.0,89.0}: multiple vulnerabilities (CVE-2021...
Status: RESOLVED FIXED
Alias: CVE-2021-29959, CVE-2021-29960, CVE-2021-29961, CVE-2021-29966
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A2 [glsa+ cve]
Keywords:
Depends on:
Blocks: CVE-2021-29967
  Show dependency tree
 
Reported: 2021-06-04 02:04 UTC by John Helmert III
Modified: 2021-07-07 07:58 UTC (History)
1 user (show)

See Also:
Package list:
www-client/firefox-78.11.0
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III gentoo-dev Security 2021-06-04 02:04:33 UTC
CVE-2021-29959:

When a user has already allowed a website to access microphone and camera, disabling camera sharing would not fully prevent the website from re-enabling it without an additional prompt. This was only possible if the website kept recording with the microphone until re-enabling the camera.

CVE-2021-29960:

Firefox used to cache the last filename used for printing a file. When generating a filename for printing, Firefox usually suggests the web page title. The caching and suggestion techniques combined may have lead to the title of a website visited during private browsing mode being stored on disk.

CVE-2021-29961:

When styling and rendering an oversized <select> element, Firefox did not apply correct clipping which allowed an attacker to paint over the user interface.

CVE-2021-29966:

Mozilla developers Christian Holler, Tooru Fujisawa, Tyson Smith reported memory safety bugs present in Firefox 88. Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could have been exploited to run arbitrary code.


Please stabilize the fixed ESR.
Comment 1 Thomas Deutschmann gentoo-dev Security 2021-06-04 12:58:00 UTC
amd64 & x86 stable
Comment 2 Sam James archtester gentoo-dev Security 2021-06-07 16:15:40 UTC
arm64 done

all arches done
Comment 3 Sam James archtester gentoo-dev Security 2021-06-07 16:19:15 UTC
Please cleanup.
Comment 4 Larry the Git Cow gentoo-dev 2021-06-13 18:21:49 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=857fe26d66a8d726931a36a231406e6728863043

commit 857fe26d66a8d726931a36a231406e6728863043
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2021-06-13 13:57:35 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2021-06-13 18:19:34 +0000

    www-client/firefox: security cleanup
    
    Bug: https://bugs.gentoo.org/794082
    Package-Manager: Portage-3.0.19, Repoman-3.0.3
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 www-client/firefox/Manifest               |  195 -----
 www-client/firefox/firefox-78.10.1.ebuild | 1183 -----------------------------
 www-client/firefox/firefox-88.0.1.ebuild  | 1172 ----------------------------
 3 files changed, 2550 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b6f92e266e9af9bb2daf20c54a0ead89ddb55e7

commit 4b6f92e266e9af9bb2daf20c54a0ead89ddb55e7
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2021-06-13 13:56:55 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2021-06-13 18:19:34 +0000

    www-client/firefox-bin: security cleanup
    
    Bug: https://bugs.gentoo.org/794082
    Package-Manager: Portage-3.0.19, Repoman-3.0.3
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 www-client/firefox-bin/Manifest                   | 388 --------------------
 www-client/firefox-bin/firefox-bin-78.10.0.ebuild | 411 ----------------------
 www-client/firefox-bin/firefox-bin-78.10.1.ebuild | 411 ----------------------
 www-client/firefox-bin/firefox-bin-88.0.1.ebuild  | 411 ----------------------
 www-client/firefox-bin/firefox-bin-88.0.ebuild    | 411 ----------------------
 5 files changed, 2032 deletions(-)
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2021-07-07 07:58:02 UTC
This issue was resolved and addressed in
 GLSA 202107-09 at https://security.gentoo.org/glsa/202107-09
by GLSA coordinator Sam James (sam_c).